# ssl=sslMode attribute

#### Function

Specifies the SSL mode of the client. The sslMode can be `basic`, `peerAuthentication`, or `off` (the default). See "Network encryption and authentication with SSL/TLS" in the Derby Server and Administration Guide for details.

#### Combining with other attributes

May be combined with all other attributes.

#### Example

Connecting to `mydb` with basic SSL encryption:

    jdbc:derby://localhost/mydb;ssl=basic

Parent topic: Setting attributes for the database connection URL